"""
This file is part of hlrc

Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
http://opensource.cit-ec.de/projects/hlrc

This file may be licensed under the terms of the
GNU General Public License Version 3 (the ``GPL''),
or (at your option) any later version.

Software distributed under the License is distributed
on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
express or implied. See the GPL for the specific language
governing rights and limitations.

You should have received a copy of the GPL along with this
program. If not, go to http://www.gnu.org/licenses/gpl.html
or write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

The development of this software was supported by the
Excellence Cluster EXC 277 Cognitive Interaction Technology.
The Excellence Cluster EXC 277 is a grant of the Deutsche
Forschungsgemeinschaft (DFG) in the context of the German
Excellence Initiative.
"""

class RobotAnimation:
	IDLE            = 0
	HEAD_NOD        = 1
	HEAD_SHAKE      = 2
	EYEBLINK_L      = 3
	EYEBLINK_R      = 4
	EYEBLINK_BOTH   = 5
	EYEBROWS_RAISE  = 6
	EYEBROWS_LOWER  = 7

	def __init__(self, v = IDLE):
		self.value = v
		self.time_ms = 1000
		self.repetitions = 1
		self.scale = 1.0

	def value_as_str(self):
		if (self.value == RobotAnimation.IDLE):
			return "idle"
		elif (self.value == RobotAnimation.HEAD_NOD):
			return "head nod"
		elif (self.value == RobotAnimation.HEAD_SHAKE):
			return "head shake"
		elif (self.value == RobotAnimation.EYEBLINK_L):
			return "eyeblink l"
		elif (self.value == RobotAnimation.EYEBLINK_R):
			return "eyeblink r"
		elif (self.value == RobotAnimation.EYEBROWS_RAISE):
			return "eyebrows raise"
		elif (self.value == RobotAnimation.EYEBROWS_LOWER):
			return "eyebrows lower"
		else:
			return "INVALID ANIMATION TYPE"
		
	def __str__(self):
		return "RobotAnimation = { value='%s', time_ms=%d repetitions=%d scale=%6.2f }" % \
			(self.value_as_str(), self.time_ms, self.repetitions, self.scale)


