"""
This file is part of hlrc

Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
http://opensource.cit-ec.de/projects/hlrc

This file may be licensed under the terms of the
GNU General Public License Version 3 (the ``GPL''),
or (at your option) any later version.

Software distributed under the License is distributed
on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
express or implied. See the GPL for the specific language
governing rights and limitations.

You should have received a copy of the GPL along with this
program. If not, go to http://www.gnu.org/licenses/gpl.html
or write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

The development of this software was supported by the
Excellence Cluster EXC 277 Cognitive Interaction Technology.
The Excellence Cluster EXC 277 is a grant of the Deutsche
Forschungsgemeinschaft (DFG) in the context of the German
Excellence Initiative.
"""

class RobotEmotion:
	TYPE_DEFAULT = 0
	TYPE_CURRENT = 1
	
	NEUTRAL   = 0
	HAPPY     = 1
	SAD       = 2
	ANGRY     = 3
	SURPRISED = 4
	FEAR      = 5

	def __init__(self, emotion = NEUTRAL):
		self.value = emotion
		self.time_ms = 1000

	def value_as_str(self):
		if (self.value == RobotEmotion.NEUTRAL):
			return "neutral"
		elif (self.value == RobotEmotion.HAPPY):
			return "happy"
		elif (self.value == RobotEmotion.SAD):
			return "sad"
		elif (self.value == RobotEmotion.ANGRY):
			return "angry"
		elif (self.value == RobotEmotion.SURPRISED):
			return "surprised"
		elif (self.value == RobotEmotion.FEAR):
			return "fear"
		else:
			return "INVALID EMOTION TYPE"
		
	def __str__(self):
		return "RobotEmotion = { value='%s', time_ms=%d }" % (self.value_as_str(), self.time_ms)

